<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: framework::gui::Widget Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1gui_1_1_widget.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="classframework_1_1gui_1_1_widget-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::gui::Widget Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Abstract class for all Framework's widget classes.  
 <a href="classframework_1_1gui_1_1_widget.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_widget_8h_source.html">Widget.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for framework::gui::Widget:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classframework_1_1gui_1_1_widget.png" usemap="#framework::gui::Widget_map" alt=""/>
  <map id="framework::gui::Widget_map" name="framework::gui::Widget_map">
<area href="classframework_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="framework::core::Object" shape="rect" coords="630,0,830,24"/>
<area href="classframework_1_1gui_1_1_box.html" title="Abstract class to display a box on the ground station. " alt="framework::gui::Box" shape="rect" coords="0,112,200,136"/>
<area href="classframework_1_1gui_1_1_label.html" title="Class displaying a QLabel on the ground station. " alt="framework::gui::Label" shape="rect" coords="210,112,410,136"/>
<area href="classframework_1_1gui_1_1_layout.html" title="Abstract class to display a layout on the ground station. " alt="framework::gui::Layout" shape="rect" coords="420,112,620,136"/>
<area href="classframework_1_1gui_1_1_push_button.html" title="Class displaying a QPushButton on the ground station. " alt="framework::gui::PushButton" shape="rect" coords="630,112,830,136"/>
<area href="classframework_1_1gui_1_1_send_data.html" title="Abstract class for sending datas to ground station. " alt="framework::gui::SendData" shape="rect" coords="840,112,1040,136"/>
<area href="classframework_1_1gui_1_1_tab_widget.html" title="Class displaying a QTabWidget on the ground station. " alt="framework::gui::TabWidget" shape="rect" coords="1050,112,1250,136"/>
<area href="classframework_1_1gui_1_1_text_edit.html" title="Class displaying a QTextEdit on the ground station. " alt="framework::gui::TextEdit" shape="rect" coords="1260,112,1460,136"/>
<area href="classframework_1_1gui_1_1_check_box.html" title="Class displaying a QCheckBox on the ground station. " alt="framework::gui::CheckBox" shape="rect" coords="210,168,410,192"/>
<area href="classframework_1_1gui_1_1_combo_box.html" title="Class displaying a QComboBox on the ground station. " alt="framework::gui::ComboBox" shape="rect" coords="210,224,410,248"/>
<area href="classframework_1_1gui_1_1_double_spin_box.html" title="Class displaying a QDoubleSpinBox on the ground station. " alt="framework::gui::DoubleSpinBox" shape="rect" coords="210,280,410,304"/>
<area href="classframework_1_1gui_1_1_spin_box.html" title="Class displaying a QSpinBox on the ground station. " alt="framework::gui::SpinBox" shape="rect" coords="210,336,410,360"/>
<area href="classframework_1_1gui_1_1_vector3_d_spin_box.html" title="Class displaying 3 QDoubleSpinBox for x,y,z on the ground station. " alt="framework::gui::Vector3DSpinBox" shape="rect" coords="210,392,410,416"/>
<area href="classframework_1_1gui_1_1_grid_layout.html" title="Class displaying a QGridLayout on the ground station. " alt="framework::gui::GridLayout" shape="rect" coords="630,168,830,192"/>
<area href="classframework_1_1gui_1_1_group_box.html" title="Class displaying a QGroupBox on the ground station. " alt="framework::gui::GroupBox" shape="rect" coords="630,224,830,248"/>
<area href="classframework_1_1gui_1_1_tab.html" title="Class displaying a QTab on the ground station. " alt="framework::gui::Tab" shape="rect" coords="630,280,830,304"/>
<area href="classframework_1_1gui_1_1_data_plot.html" title="Abstract class to display plots on ground station. " alt="framework::gui::DataPlot" shape="rect" coords="1050,168,1250,192"/>
<area href="classframework_1_1gui_1_1_map.html" title="Class displaying a GPS map on the ground station. " alt="framework::gui::Map" shape="rect" coords="1050,224,1250,248"/>
<area href="classframework_1_1gui_1_1_picture.html" title="Class displaying a Picture on the ground station. " alt="framework::gui::Picture" shape="rect" coords="1050,280,1250,304"/>
<area href="classframework_1_1gui_1_1_range_finder_plot.html" title="Class displaying a 2D plot on the ground station for laser range finder like Hokuyo. " alt="framework::gui::RangeFinderPlot" shape="rect" coords="1050,336,1250,360"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa22cbbef51bba4a41a387f2157de74be"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_widget.html#aa22cbbef51bba4a41a387f2157de74be">Widget</a> (const <a class="el" href="classframework_1_1gui_1_1_widget.html">Widget</a> *parent, std::string name, std::string type)</td></tr>
<tr class="memdesc:aa22cbbef51bba4a41a387f2157de74be"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#aa22cbbef51bba4a41a387f2157de74be">More...</a><br /></td></tr>
<tr class="separator:aa22cbbef51bba4a41a387f2157de74be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5828f9d29972aa861dc4a4fe21997499"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_widget.html#a5828f9d29972aa861dc4a4fe21997499">~Widget</a> ()</td></tr>
<tr class="memdesc:a5828f9d29972aa861dc4a4fe21997499"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a5828f9d29972aa861dc4a4fe21997499">More...</a><br /></td></tr>
<tr class="separator:a5828f9d29972aa861dc4a4fe21997499"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fe633c500864d494e67ba9e5ab4e3cd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_widget.html#a7fe633c500864d494e67ba9e5ab4e3cd">setEnabled</a> (bool status)</td></tr>
<tr class="memdesc:a7fe633c500864d494e67ba9e5ab4e3cd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set enabled.  <a href="#a7fe633c500864d494e67ba9e5ab4e3cd">More...</a><br /></td></tr>
<tr class="separator:a7fe633c500864d494e67ba9e5ab4e3cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a472d499749ee9acadc1d446387cbbbe7"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_widget.html#a472d499749ee9acadc1d446387cbbbe7">isEnabled</a> (void) const </td></tr>
<tr class="memdesc:a472d499749ee9acadc1d446387cbbbe7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Is enabled?  <a href="#a472d499749ee9acadc1d446387cbbbe7">More...</a><br /></td></tr>
<tr class="separator:a472d499749ee9acadc1d446387cbbbe7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a97617b01df8aedc07b2ba46ef4988994">Object</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a97617b01df8aedc07b2ba46ef4988994">More...</a><br /></td></tr>
<tr class="separator:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ac934815b59eb1cf1a47bdb114fa86da0">~Object</a> ()</td></tr>
<tr class="memdesc:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ac934815b59eb1cf1a47bdb114fa86da0">More...</a><br /></td></tr>
<tr class="separator:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ae19cf04d95b4cabb8c6064375b15337f">ObjectName</a> (void) const </td></tr>
<tr class="memdesc:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#ae19cf04d95b4cabb8c6064375b15337f">More...</a><br /></td></tr>
<tr class="separator:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a49660b572cdbedc6a665d5d396ed00a1">ObjectType</a> (void) const </td></tr>
<tr class="memdesc:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a49660b572cdbedc6a665d5d396ed00a1">More...</a><br /></td></tr>
<tr class="separator:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a8dda2eca639eb56bb2c3f26de04f2678">Parent</a> (void) const </td></tr>
<tr class="memdesc:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a8dda2eca639eb56bb2c3f26de04f2678">More...</a><br /></td></tr>
<tr class="separator:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a7fb6234586cd406b3bea93aadf01ba16">TypeChilds</a> (void) const </td></tr>
<tr class="memdesc:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#a7fb6234586cd406b3bea93aadf01ba16">More...</a><br /></td></tr>
<tr class="separator:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aee8de0c31d51e165fed466a4c8bcf6c4">Childs</a> (void) const </td></tr>
<tr class="memdesc:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#aee8de0c31d51e165fed466a4c8bcf6c4">More...</a><br /></td></tr>
<tr class="separator:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aec1974099e78e731ba9c3dd1ed05de94">Information</a> (const char *function, int line, const char *format,...) const </td></tr>
<tr class="memdesc:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted information.  <a href="#aec1974099e78e731ba9c3dd1ed05de94">More...</a><br /></td></tr>
<tr class="separator:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#abb73af04b52a2ba67a2d2ce1a74330a2">Warning</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#abb73af04b52a2ba67a2d2ce1a74330a2">More...</a><br /></td></tr>
<tr class="separator:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a6f48a765168b2fe4a629234e0b778559">Error</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a6f48a765168b2fe4a629234e0b778559">More...</a><br /></td></tr>
<tr class="separator:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a56a6221f2ce124d7c53b15a423a47b08">ErrorOccured</a> (bool recursive=true) const </td></tr>
<tr class="memdesc:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a56a6221f2ce124d7c53b15a423a47b08">More...</a><br /></td></tr>
<tr class="separator:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:af78e50b7be98bdd572028b0e47c4509b"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:af78e50b7be98bdd572028b0e47c4509b"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_widget.html#af78e50b7be98bdd572028b0e47c4509b">SetPersistentXmlProp</a> (std::string prop, T value)</td></tr>
<tr class="memdesc:af78e50b7be98bdd572028b0e47c4509b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a persistent xml property.  <a href="#af78e50b7be98bdd572028b0e47c4509b">More...</a><br /></td></tr>
<tr class="separator:af78e50b7be98bdd572028b0e47c4509b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f3edf9b759566ed766e96e3b802f3c7"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a7f3edf9b759566ed766e96e3b802f3c7"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_widget.html#a7f3edf9b759566ed766e96e3b802f3c7">GetPersistentXmlProp</a> (std::string prop, T &amp;value)</td></tr>
<tr class="memdesc:a7f3edf9b759566ed766e96e3b802f3c7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a persistent xml property.  <a href="#a7f3edf9b759566ed766e96e3b802f3c7">More...</a><br /></td></tr>
<tr class="separator:a7f3edf9b759566ed766e96e3b802f3c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad132417af77a0b84089cc87f7b0a54c9"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:ad132417af77a0b84089cc87f7b0a54c9"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_widget.html#ad132417af77a0b84089cc87f7b0a54c9">SetVolatileXmlProp</a> (std::string prop, T value, xmlNodePtr node=NULL)</td></tr>
<tr class="memdesc:ad132417af77a0b84089cc87f7b0a54c9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a volatile xml property.  <a href="#ad132417af77a0b84089cc87f7b0a54c9">More...</a><br /></td></tr>
<tr class="separator:ad132417af77a0b84089cc87f7b0a54c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ac7f6fe666efa23167636cc081f7e43"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_widget.html#a3ac7f6fe666efa23167636cc081f7e43">SendXml</a> (void)</td></tr>
<tr class="memdesc:a3ac7f6fe666efa23167636cc081f7e43"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send xml.  <a href="#a3ac7f6fe666efa23167636cc081f7e43">More...</a><br /></td></tr>
<tr class="separator:a3ac7f6fe666efa23167636cc081f7e43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab314c94187e93f5507f6dbfdea58a778"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_widget.html#ab314c94187e93f5507f6dbfdea58a778">XmlEvent</a> (void)</td></tr>
<tr class="memdesc:ab314c94187e93f5507f6dbfdea58a778"><td class="mdescLeft">&#160;</td><td class="mdescRight">Xml event.  <a href="#ab314c94187e93f5507f6dbfdea58a778">More...</a><br /></td></tr>
<tr class="separator:ab314c94187e93f5507f6dbfdea58a778"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7201b52b50f64586d1ea82cc1f6a2e6f"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>color_t</b> { <b>Auto</b> =0, 
<b>Red</b> =31, 
<b>Green</b> =32, 
<b>Orange</b> =33
 }</td></tr>
<tr class="separator:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Abstract class for all Framework's widget classes. </p>
<p>A widget is an object to display on the ground station. <br />
Communication with ground station is done through xml files; properties of theses files are modified through appropriate method. <br />
A xml file is used for default values of the <a class="el" href="classframework_1_1gui_1_1_widget.html" title="Abstract class for all Framework&#39;s widget classes. ">Widget</a>, if it has been specified in the constructor of the FrameworkManager. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aa22cbbef51bba4a41a387f2157de74be"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::gui::Widget::Widget </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classframework_1_1gui_1_1_widget.html">Widget</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>type</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct a <a class="el" href="classframework_1_1gui_1_1_widget.html" title="Abstract class for all Framework&#39;s widget classes. ">Widget</a>, the xml file specified to the FrameworkManager's constructor is sued for default values. <br />
Two <a class="el" href="classframework_1_1gui_1_1_widget.html" title="Abstract class for all Framework&#39;s widget classes. ">Widget</a> with same parent must have different names. If a brother <a class="el" href="classframework_1_1gui_1_1_widget.html" title="Abstract class for all Framework&#39;s widget classes. ">Widget</a> already has the same name, the name of the new one will be automatically changed. <br />
Type must agree with predifined (hard coded) types in ground station code.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">parent</td><td>parent </td></tr>
    <tr><td class="paramname">name</td><td>name </td></tr>
    <tr><td class="paramname">type</td><td>type </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a5828f9d29972aa861dc4a4fe21997499"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual framework::gui::Widget::~Widget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a7fe633c500864d494e67ba9e5ab4e3cd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::gui::Widget::setEnabled </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>status</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set enabled. </p>
<p>Enable or disable the <a class="el" href="classframework_1_1gui_1_1_widget.html" title="Abstract class for all Framework&#39;s widget classes. ">Widget</a> on the ground station. <br />
A disabled widget is greyed out on the ground station and in unmodifiable.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">status</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a472d499749ee9acadc1d446387cbbbe7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool framework::gui::Widget::isEnabled </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Is enabled? </p>
<dl class="section return"><dt>Returns</dt><dd>true if widget is enabled </dd></dl>

</div>
</div>
<a class="anchor" id="af78e50b7be98bdd572028b0e47c4509b"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void framework::gui::Widget::SetPersistentXmlProp </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>prop</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set a persistent xml property. </p>
<p>The property will be saved in the configuration xml and also used to configure the ground station.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">prop</td><td>property to set and save </td></tr>
    <tr><td class="paramname">value</td><td>value to set and save </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7f3edf9b759566ed766e96e3b802f3c7"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool framework::gui::Widget::GetPersistentXmlProp </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>prop</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get a persistent xml property. </p>
<p>Get the property from the xml file. If no corresponding property is found in the xml, value remains unchanged. <br />
Thus value can be initialized with a default value before calling this method.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">prop</td><td>property to get </td></tr>
    <tr><td class="paramname">value</td><td>value to store the result </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if value was changed </dd></dl>

</div>
</div>
<a class="anchor" id="ad132417af77a0b84089cc87f7b0a54c9"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void framework::gui::Widget::SetVolatileXmlProp </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>prop</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"><em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">xmlNodePtr&#160;</td>
          <td class="paramname"><em>node</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set a volatile xml property. </p>
<p>This property should be used to configure the ground station (one time init). <br />
The property will be destroyed after calling <a class="el" href="classframework_1_1gui_1_1_widget.html#a3ac7f6fe666efa23167636cc081f7e43" title="Send xml. ">SendXml()</a> as it should no be used anymore.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">prop</td><td>property to set </td></tr>
    <tr><td class="paramname">value</td><td>value to set </td></tr>
    <tr><td class="paramname">node</td><td>if sepcified, node to set; otherwise use the node of the <a class="el" href="classframework_1_1gui_1_1_widget.html" title="Abstract class for all Framework&#39;s widget classes. ">Widget</a> </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3ac7f6fe666efa23167636cc081f7e43"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void framework::gui::Widget::SendXml </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Send xml. </p>
<p>Send <a class="el" href="classframework_1_1gui_1_1_widget.html" title="Abstract class for all Framework&#39;s widget classes. ">Widget</a>'s xml to ground station. <br />
New changes will be taken into account by ground station. <br />
All volatile properties will be erased after calling ths method, as they should not be used anymore. </p>

</div>
</div>
<a class="anchor" id="ab314c94187e93f5507f6dbfdea58a778"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void framework::gui::Widget::XmlEvent </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Xml event. </p>
<p>This method must be reimplemented to handle a xml event. <br />
It is automatically called when something changed from ground station. <br />
</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><a class="el" href="namespaceframework_1_1gui.html">gui</a></li><li class="navelem"><a class="el" href="classframework_1_1gui_1_1_widget.html">Widget</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:29:00 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
